import pygame

a = -1.2352352
b = -0.014
width = 1600
height = 900
xmin = -2.5
xmax = 2.5
ymin = -1.25
ymax = 1.25
iterationmax = 50
COEF_R, COEF_G, COEF_B = 15,5,0

pygame.init()
screen = pygame.display.set_mode((width,height))
pygame.display.set_caption("Fractale de Julia")

for x in range(width):
    for y in range(height):
        i = 1
        xM = xmin + x * ( xmax - xmin ) / width
        yM = ymax - y * ( ymax - ymin) / height
        while i<=iterationmax and (xM**2+yM**2)<=4:
            stock = xM
            xM = xM**2-yM**2+a
            yM = 2*stock*yM+b
            i += 1
        if i>iterationmax and (x**2+y**2)<=4:
            screen.set_at((x, y), (0, 0, 0)) 
        else:
            screen.set_at((x, y),((COEF_R * i) % 256, (COEF_G * i) % 256, (COEF_B * i) % 256))

pygame.image.save(screen, "image.jpg")

pygame.display.flip()
loop = True
while loop:
  for event in pygame.event.get():
    if event.type == pygame.QUIT: # Pour quitter l'application en fermant la fenêtre
      loop = False
      
pygame.quit()
